package com.alterdekim.flash.decompiler.util;

public enum PayloadCompression {
    NONE((byte) 0x46),
    DEFLATE((byte) 0x43),
    LZMA((byte) 0x5a);

    public final byte tag;

    PayloadCompression(byte tag) {
        this.tag = tag;
    }

    public static PayloadCompression getByTag(byte tag) {
        for( PayloadCompression compression : PayloadCompression.values() )
            if( compression.tag == tag ) return compression;
        return PayloadCompression.NONE;
    }
}
